Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy
Class HibernateProxyHelper

    java.lang.Object
      org.hibernate.proxy.HibernateProxyHelper

    public final class HibernateProxyHelper

extends Object

Utility methods for working with proxies. (this class is being phased out)

Method Summary
`static Class` | `getClassWithoutInitializingProxy(Object object)` Get the class of an instance or the underlying class of a proxy (without initializing the proxy!).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClassWithoutInitializingProxy

    public static Class getClassWithoutInitializingProxy(Object object)

  Get the class of an instance or the underlying class of a proxy (without initializing the proxy!). It is almost always better to use the entity name!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.